#
# spec file for package tpctl (Version 4.17)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone udev util-linux zlib


Name:           tpctl
BuildRequires:  kernel-source kernel-syms module-init-tools ncurses-devel udev
%define module_version 5.8
Version:        4.17
Release:        131.1
Summary:        ThinkPad configuration tools
License:        GPL v2 or later
Group:          Hardware/Mobile
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://tpctl.sourceforge.net/
#Provides:    
Requires:       tpctl-kmp
#Conflicts:   
AutoReqProv:    on
Source0:        tpctl_%{version}.tar.gz
Source1:        thinkpad_%{module_version}.tar.gz
Source2:        Makefile
Source3:        00-thinkpad.rules
Source4:        10-thinkpad.rules
Source5:        README.SUSE
Source6:        preamble
Patch0:         tpctl.dif
Patch1:         thinkpad.dif
Patch5:         get_put_cpu_ptr-gone.diff
Patch6:         thinkpad-module_param.dif
Patch7:         inter_module-fix.diff
%suse_kernel_module_package -p %_sourcedir/preamble kdump um xen xenpae

%description
With this tool you can change the BIOS settings on IBM Thinkpads. tpctl
  -- command line ThinkPad control program ntpctl  -- ncurses ThinkPad
control program



Authors:
--------
    tpctl, drivers    Thomas Hood <jdthood@mail.com> and Bill Mair
    smapidev          Bill Mair <Bill.Mair@bm-soft.com> and Thomas Hood
    ntpctl            Martin Fluch <mfluch@mathphys.fsk.uni-heidelberg.de>

%debug_package
%package KMP
License:        LGPL v2.1 or later
Summary:        ThinkPad configuration kernel modules
Group:          System/Kernel

%description KMP
With this tool you can change the BIOS settings on IBM Thinkpads. tpctl
  -- command line ThinkPad control program ntpctl  -- ncurses ThinkPad
control program



Authors:
--------
    tpctl, drivers    Thomas Hood <jdthood@mail.com> and Bill Mair
    smapidev          Bill Mair <Bill.Mair@bm-soft.com> and Thomas Hood
    ntpctl            Martin Fluch <mfluch@mathphys.fsk.uni-heidelberg.de>

%prep
%setup -b1
%patch0
cp %{S:3} .
cp %{S:4} .
cp %{S:5} .
cd ../thinkpad-%{module_version}
%patch1
%patch5 -p1
%patch6 -p1
%patch7 -p1
mkdir source
mkdir obj
cp -r	2.6/drivers/* \
	2.6/include \
	source
mv source/smapi_call.{s,S}
cp %{S:2} source

%build
%ifarch %ix86
# agruen: The device should be created by udev...
# mkdir -p %{buildroot}/dev
# mknod --mode=664 %{buildroot}/dev/thinkpad c 10 170
%else
exit 1
%endif
make
cd ../thinkpad-%{module_version}
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
make install DEST=%{buildroot} \
             PATH_BIN=%{_bindir}/ \
             PATH_SBIN=%{_sbindir}/ \
             PATH_LIB=%{_libdir}/ \
             PATH_MAN=%{_mandir}/
mkdir -p %{buildroot}%{_mandir}/man4
mv apmiser/README README.apmiser
#install -m 755 -d %{buildroot}/etc/udev/rules.d
#install -m 644 10-thinkpad.rules %{buildroot}/etc/udev/rules.d
# install kernel modules
cd ../thinkpad-%{module_version}
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done
install -m 644 man/thinkpad.4 %{buildroot}%{_mandir}/man4

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
/usr/bin/*
/usr/sbin/*
/usr/lib/libsmapidev*
#/etc/udev/rules.d/10-thinkpad.rules
%doc AUTHORS COPYING ChangeLog README SUPPORTED-MODELS TROUBLESHOOTING VGA-MODES README.apmiser README.SUSE 00-thinkpad.rules
%doc %{_mandir}/man*/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Jun 06 2007 - ro@suse.de
- fix build with current kernel
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 29 2007 - seife@suse.de
- add ncurses-devel to BuildRequires
* Thu Feb 22 2007 - seife@suse.de
- fix non-root build
- clean up specfile madness
* Fri Dec 22 2006 - ro@suse.de
- remove apmd from buildreq (dropped package)
* Wed Aug 23 2006 - ro@suse.de
- fix build on 2.6.18
* Mon Apr 10 2006 - agruen@suse.de
- Add preamble `Enhances: kernel-$flavor' workaround to
  KMP sub-packages (156513).
* Mon Apr 03 2006 - ro@suse.de
- change MODULE_PARM to module_param
* Sat Feb 18 2006 - seife@suse.de
- added a dependency to the kernel module
* Thu Feb 16 2006 - ro@suse.de
- ignore xenpae kernel
* Fri Feb 03 2006 - ro@suse.de
- build as kernel module package (KMP)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun 14 2005 - ro@suse.de
- udev rule is now packaged in udev package
* Thu Mar 17 2005 - seife@suse.de
- add a default udev rule, tune the README.SUSE
* Wed Mar 16 2005 - seife@suse.de
- documentation update for udev/rules.d vs udev/permissions.d
* Fri Feb 18 2005 - agruen@suse.de
- get_put_cpu_ptr-gone.diff: Compilation fix.
* Fri Feb 18 2005 - ro@suse.de
- update tpctl to 4.17
* Tue Feb 01 2005 - seife@suse.de
- bump version to tpctl 4.16, module to 5.8.
* Tue Nov 30 2004 - seife@suse.de
- bump version to tpctl 4.15. Module version 5.8 is still pending!
* Thu Nov 11 2004 - seife@suse.de
- fix autobuild --debug=yes breakage
* Mon Sep 27 2004 - agruen@suse.de
- Fix compilation for 2.6.9-rc2 kernel.
* Thu Aug 26 2004 - seife@suse.de
- remove /dev/thinkpad (bug #44255)
* Thu Aug 05 2004 - seife@suse.de
- bump version to tpctl 4.14/thinkpad 5.5
* Mon May 03 2004 - garloff@suse.de
- Fix build failure with configs having more CPUs than fit in a
  long int.
* Mon Mar 29 2004 - agruen@suse.de
- Next try to fix the very same failure.
* Mon Mar 29 2004 - agruen@suse.de
- Fix a failure not caught by the Makefile.suse's module tests.
* Sun Mar 28 2004 - agruen@suse.de
- Fix km_tpctl makefile for 2.6.
* Wed Mar 17 2004 - behlert@suse.de
- fixes for CONFIG_REGPARM - now kernel crashes no more [#36073]
* Fri Mar 12 2004 - seife@suse.de
- update tpctl version to 4.10, kernel module version to 5.0
* Sun Mar 07 2004 - ro@suse.de
- move build macro before first file installation
* Fri Jan 23 2004 - jg@suse.de
- update tpctl to version 4.8 and thinkpad kernel module to
  version 4.999-trial1 (notable change: kernel 2.6 support)
- removed unnecessary kernel-source from neededforbuild
* Tue Jun 17 2003 - ro@suse.de
- added directory to filelist
* Mon May 12 2003 - jg@suse.de
- readded installation of man pages for apmiser and tpctlir
* Mon May 12 2003 - jg@suse.de
- tpctl update to 4.4
  - apmiser: Don't save power if no battery installed
  - documentation fixes
- thinkpad update to 4.3
  - compilation fixes
* Mon May 12 2003 - ro@suse.de
- define cli/sti if missing
* Mon Feb 17 2003 - jg@suse.de
- update to 4.2 (apmiser enhancements)
* Tue Feb 04 2003 - jg@suse.de
- readded tpctlir, tpctlir.8, and README.apmiser
* Fri Jan 31 2003 - jg@suse.de
- update to 4.1
- dropped subpackage modules
* Tue Dec 03 2002 - ro@suse.de
- fix previous patch
* Mon Dec 02 2002 - ro@suse.de
- include errno.h where needed
* Thu Jul 04 2002 - ro@suse.de
- fix specfile
* Thu Jul 04 2002 - zoz@suse.de
- changed %%ifarch i386 to %%ifarch ix86 in specfile
* Fri Feb 15 2002 - ro@suse.de
- make dep for kernel before build
* Mon Feb 04 2002 - zoz@suse.de
- use config.default.ikr only if kernel_source has no .config
- added 'MODULE_LICENSE("GPL");' to appropriate header file
* Wed Aug 15 2001 - ro@suse.de
- removed k_deflt from neededforbuild (cyclic dependency)
* Tue May 08 2001 - zoz@suse.de
- now using version.h from /boot/vmlinuz.version.h
- changed filelist for tpctl-modules
- make km_tpctl build ("s/Makefile_common/Makefile-common/" in
  Makefile.module) Bug: 7579
* Mon Apr 09 2001 - zoz@suse.de
- update to 2.0
- now using buildroot
- added tpctlir to the filelist
- added tpctl-module package for easier update
* Tue Mar 13 2001 - uli@suse.de
- moved kernel stuff to km_tpctl package
* Tue Dec 12 2000 - ro@suse.de
- comment modprobe calls in install section of Makefile
* Fri Dec 08 2000 - uli@suse.de
- fixed typos in drivers/thinkpad.c
* Thu Nov 23 2000 - droesch@suse.de
- update to 1.0
* Thu Jun 08 2000 - zoz@suse.de
- update to 0.8.8
* Wed Jun 07 2000 - uli@suse.de
- doc relocation
* Wed Mar 08 2000 - bs@suse.de
- made %%post more friendly.
* Tue Feb 29 2000 - ro@suse.de
- cleaned neededforbuild
* Wed Feb 16 2000 - zoz@suse.de
- some cleaning-up
- fixed path in ultrabayd
- prevented tpctlify from changing /etc/ld.so.conf
* Tue Feb 08 2000 - zoz@suse.de
- new package
- there is a special hdparm.tpctl to (un)registers ide-devices
  needed for the IBM ultrabay
